// priority: 0

ServerEvents.recipes(event => {
    event.remove({ type: 'exnihilosequentia:solidifying', output: 'minecraft:cobblestone'})
    event.remove({ output: 'opolisutilities:resource_generator'})
    event.remove({ output: 'opolisutilities:resource_generator_2'})
    event.replaceInput({ id: 'minecraft:campfire'}, '#minecraft:coals', 'immersiveengineering:wirecoil_structure_rope')
    
    event.shaped('exnihilosequentia:grass_seeds', [
        ' P ',
        'PDP',
        ' P '
    ], {
        P: 'voidblock:plant_matter',
        D: 'minecraft:dirt'
    })

    event.shaped('exnihilosequentia:dust', [
        'DDD',
        'DDD',
        'DDD'
    ], {
        D: 'voidblock:dust'
    })

    event.custom({
        "type": "minecraft:crafting_shaped",
        "category": "misc",
        "pattern": [
          "SSS",
          "W L",
          "SSS"
        ],
        "key": {
          "S": {
            "tag": "forge:stone"
          },
          "W": {
            "type": "bucketlib:fluid",
            "fluid": "minecraft:water"
          },
          "L": {
            "type": "bucketlib:fluid",
            "fluid": "minecraft:lava"
          }
        },
        "result": {
          "item": "opolisutilities:resource_generator",
        }
      })

      event.custom({
        "type": "minecraft:crafting_shaped",
        "category": "misc",
        "pattern": [
          "CCC",
          "WGL",
          "CCC"
        ],
        "key": {
          "C": {
            "item": "rcc:cobblestone_two"
          },
          "W": {
            "type": "bucketlib:fluid",
            "fluid": "minecraft:water"
          },
          "L": {
            "type": "bucketlib:fluid",
            "fluid": "minecraft:lava"
          },
          "G": {
            "item": "opolisutilities:resource_generator"
          }
        },
        "result": {
          "item": "opolisutilities:resource_generator_2",
        }
      })


    event.campfireCooking('exnihilosequentia:fired_crucible', 'exnihilosequentia:unfired_crucible')
    event.campfireCooking('minecraft:stone', 'minecraft:cobblestone')

    event.recipes.exnihilosequentia.precipitate('kubejs:wispy_leaves', 'minecraft:cobblestone', 'minecraft:lava')
})